/* Texture.C: Texture nodes (public source) */

#include "Texture.H"

namespace xrml {

void Texture::util_init(void) 
{ 
  Width = Height = Channels = 0; Map = 0; 
}

void Texture::util_clone(const Texture& src) 
{ 
  Width = Height = Channels = 0; Map = 0; 
}

void Texture::util_destruct(void) 
{ 
  if (Map) delete [] Map; 
}

void Texture::load(void)
{
  Warning(NULL, "Texture::load(): not yet implemented");
}

void Texture::render(void)
{
  Warning(NULL, "Texture::render(): not yet implemented");
}

void Texture::begin_render(void)
{
  Warning(NULL, "Texture::begin_render(): not yet implemented");
}

void Texture::end_render(void)
{
  Warning(NULL, "Texture::end_render(): not yet implemented");
}

}  // namespace xrml
